Benefit grants
Revoke Benefit Grant
Revoke a benefit grant (sets `revoked_at` and reconciles lifecycle).
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
benefit_grant_id*string
Response Body
application/json
application/json
curl -X POST "https://api.members.dev/v1/grants/string/revoke"{
"id": "bgt_01KKSMB47VYGW97GFE67VGDK7M",
"user_id": "string",
"benefit_id": "string",
"status": "scheduled",
"starts_at": null,
"expires_at": {},
"value_initial": 0,
"value_current": 0,
"value_consumed": 0,
"parent": {
"benefit_schedule_id": "string",
"subscription_id": "string",
"product_id": "string"
},
"state_transitions": {
"started_at": {},
"expired_at": {},
"depleted_at": {},
"revoked_at": {}
},
"next_update": {
"updates_at": null,
"update_type": "starts"
},
"created_at": null,
"updated_at": null
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}